[Rubygems-developers] Question: rake test requires rake outside GEM_PATH

Luis Lavena luislavena at gmail.com
Fri Apr 10 10:22:18 EDT 2009

Hello Guys,

I have multiple versions of ruby installed, ranging from 1.8.5 to
1.8.6, p114 and p368.

To reduce duplication of common used gems, I set both GEM_HOME and
GEM_PATH to my user folder:


I can run rake or any other gem without any kind of issue.

I've noticed that when running some RubyGems test, rake is invoked,
and is failing:

 18) Error:
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native

mkrf_conf.rb --build_arg1 --build_arg2

rake RUBYARCHDIR=D:/Temp/test_rubygems_2712/gemhome/gems/a-2/lib
`report_activate_error': Could not find RubyGem rake (>= 0)
        from D:/Users/Luis/ruby/ruby-1.8.6-p368-i386-mingw32/lib/ruby/site_ruby/1.8/rubygems.rb:141:in
        from D:/Users/Luis/ruby/ruby-1.8.6-p368-i386-mingw32/lib/ruby/site_ruby/1.8/rubygems.rb:49:in
        from D:/Users/Luis/.gem/ruby/1.8/bin/rake:18

The rake from my GEM_HOME is invoked, but looks like ENV['GEM_HOME']
and 'GEM_PATH' were tweaked, so it can no longer find that gem, thus

I wonder if this could affect other applications too, and what could
ge the workaround besides .gemrc, since I've also 1.9.1 and want to
avoid mixing the gem repositories between the two.

Thank you,
Luis Lavena
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry

More information about the Rubygems-developers mailing list